Skip to main content
GET
Get Blog Posts

Authorizations

Authorization
string
header
required

You can retrieve your API key from your dashboard under Account > Developers.

Path Parameters

shopId
integer
required

The shop ID.

Body

application/json
page
integer
Example:

12

perPage
integer

Must be at least 1. Must not be greater than 100.

Example:

1

orderColumn
enum<string>
Available options:
id,
title,
created_at,
updated_at
Example:

"id"

orderDirection
enum<string>
Available options:
asc,
desc
Example:

"asc"

title
string

Must not be greater than 255 characters.

Example:

"zwszwtxpeqqikym"

Response

200 - application/json
current_page
integer
Example:

1

data
object[]
Example:
first_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/blog-posts?page=1"

from
integer
Example:

1

last_page
integer
Example:

1

last_page_url
string
Example:

"http://api.sellauth.test/v1/shops/1/blog-posts?page=1"

Example:
next_page_url
string
Example:

null

path
string
Example:

"http://api.sellauth.test/v1/shops/1/blog-posts"

per_page
integer
Example:

1

prev_page_url
string
Example:

null

to
integer
Example:

1

total
integer
Example:

1